Page MenuHomePhabricator

A single page describing the MediaWiki release checklist
Closed, ResolvedPublic

Description

Currently we have two pages describing the MediaWiki release process:

We should have just one process in just one page.

Event Timeline

Qgil created this task.Sep 25 2014, 11:29 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Wiki-Release-Team.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
greg added a subscriber: greg.Sep 25 2014, 3:20 PM
Palexis triaged this task as High priority.
Palexis added subscribers: MarkAHershberger, Palexis.
Qgil added a subscriber: Quiddity.Sep 29 2014, 1:00 PM
Palexis removed MarkAHershberger as the assignee of this task.Oct 1 2014, 3:06 PM
Palexis assigned this task to Mglaser.Oct 1 2014, 4:39 PM
Palexis added a subscriber: Mglaser.
Palexis moved this task from Ready to Go to Doing on the Wiki-Release-Team board.Oct 27 2014, 3:24 PM

Here's a draft of the page: https://www.mediawiki.org/wiki/WikiReleaseTeam/Release_process

please comment. This will replace the Release checklist https://www.mediawiki.org/wiki/Release_checklist and become the central tracker for the release process of any upcoming release.

I missed the steps for updating MW.o, but once I went to modify the page, I found them -- I missed them the first time because I didn't know where to look until I went and found the templates to modify and then saw they were already there.

Looks good to me.

@Qgil, if you don't have any problems with the task being closed, I will close it later today.

I'd like to see the draft merged into https://www.mediawiki.org/wiki/Release_checklist before this Task is closed. Please and thank you! :)

And perhaps split out that second list in T481#6206 into a new Task?

@Mglaser, could you merge the release process and the release checklist as requested by Quiddity, or as you think best?

Since I used the Release_process page yesterday, I think it should replace the _checklist page.

Note that I didn't keep a log of my work, unlike what @Mglaser has done the past few times. I'll keep one for RC.0 today.

@MarkAHershberger: someone pointed out that there are people watching the checklist. so it might be better to use that one. I do not really have any preference.

I suggest we make the checklist a redirect to the process page. @Quiddity, @Qgil, is that ok with you?

In T481#17207, @Mglaser wrote:

I suggest we make the checklist a redirect to the process page. @Quiddity, @Qgil, is that ok with you?

Sounds fine to me, fwiw.

I would still strongly encourage merging into the Older page (the checklist), as that has 3x as many watchlisters.
It's also a good general rule. It makes everything smoother, by discouraging doc forks/abandonment.

If we use the older page (the checklist), then the content of the new one would just replace it. Does that sound ok, @Quiddity?

If we use the older page (the checklist), then the content of the new one would just replace it. Does that sound ok, @Quiddity?

No, that is not ok. We'll have to come up with some way to merge the pages. I just looked at the page and saw that it is referenced in T480

MarkAHershberger closed this task as Resolved.Nov 2 2014, 8:19 PM